<mamecheat version="1">

  <cheat desc="Infinite Play Time">
    <script state="run">
      <action>mtbios.pw@004036=1770</action>
      <action>mtbios.pb@004056=01</action> <!-- 1st = Time, 2nd = Credit -->
    </script>
  </cheat>

  <cheat desc="Infinite Time"> <comment>Turn it OFF at the end of the stage</comment>
    <script state="run">
      <action>maincpu.pd@FEE01B=D2001E00|(maincpu.pd@FEE01B BAND ~FFFFFF00)</action>
    </script>
  </cheat>

  <cheat desc="Open the Gate Now!">
    <script state="on">
      <action>maincpu.pb@FEE1C3=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@FEE051=63</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action condition="(frame % 60 == 0)">maincpu.pd@FEE16B=01003F00|(maincpu.pd@FEE16B BAND ~FFFFFF00)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bullets PL1">
    <script state="run">
      <action>maincpu.pw@FEE056=270F</action>
    </script>
  </cheat>

  <cheat desc="Infinite Missiles PL1">
    <script state="run">
      <action>maincpu.pw@FEE058=270F</action>
    </script>
  </cheat>

  <cheat desc="Infinite S.Bombs PL1">
    <script state="run">
      <action>maincpu.pb@FEE05B=04</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@FEE061=63</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action condition="(frame % 60 == 0)">maincpu.pd@FEE167=01003F00|(maincpu.pd@FEE167 BAND ~FFFFFF00)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bullets PL2">
    <script state="run">
      <action>maincpu.pw@FEE066=270F</action>
    </script>
  </cheat>

  <cheat desc="Infinite Missiles PL2">
    <script state="run">
      <action>maincpu.pw@FEE068=270F</action>
    </script>
  </cheat>

  <cheat desc="Infinite S.Bombs PL2">
    <script state="run">
      <action>maincpu.pb@FEE06B=04</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
